---
title: Intl.Locale.prototype.script
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/script
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Property
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale.prototype.script</code></strong> property is an accessor property which returns the script used for writing the particular language used in the locale.</span></p>

<h2 id="Description">Description</h2>

<p>A script, sometimes called writing system, is one of the core attributes of a locale. It indicates the set of symbols, or glyphs, that are used to write a particular language. For instance, the script associated with English is Latin, whereas the script typically associated with Korean is Hangul. In many cases, denoting a script is not strictly necessary, since the language (which is necessary) is only written in a single script. There are exceptions to this rule, however, and it is important to indicate the script whenever possible, in order to have a complete Unicode language identifier.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_the_script_in_the_locale_identifer_string_argument">Setting the script in the locale identifer string argument</h3>

<p>The script is the second part of a valid Unicode language identifier string, and can be set by adding it to the locale identifier string that is passed into the {{jsxref("Locale/Locale", "Locale")}} constructor. Note that the script is not a required part of a locale identifier.</p>

<pre class="brush: js">let scriptStr = new Intl.Locale("en-Latn-US");

console.log(scriptStr.script); // Prints "Latn"</pre>

<h3 id="Setting_the_script_via_the_configuration_object">Setting the script via the configuration object</h3>

<p>The {{jsxref("Locale/Locale", "Locale")}} constructor takes a configuration object, which can be used to set the script subtag and property.</p>

<pre class="brush: js">let scriptObj = new Intl.Locale("fr-FR", {script: "Latn"});

console.log(scriptObj.script); // Prints "Latn"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.Locale.prototype.script')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("javascript.builtins.Intl.Locale.script")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Locale", "Intl.Locale")}}</li>
 <li><a href="https://www.unicode.org/reports/tr35/#unicode_script_subtag_validity">Unicode's script subtag specification</a></li>
</ul>
